Subject: RE: [AAA-WG]: End-2-End security

From: "Martin Julien (ECE)" <[email-masked]>
Date: Mon, 14 May 2001 10:36:57 +0200

> > Would this issue not leading back to whether a small 
> diameter base protocol
> > with many plugin extensions should be defined ? Maybe if we 
> settle on a
> > concensus on this issue, the question would answer itself?
> 
> This *is* still supported by the protocol. However, the IESG 
> is concerned
> about Diameter servers coming out with some extensions, and 
> not others,
> causing confusion in the market. This is why they have asked that all
> servers support NASREQ and Mobile IP extensions.
> 
> PatC

Even though the NasReq and Mobile-IP extensions will be the first
2 extensions to be used on top of Diameter, I really do not see
any point of making the Base protocol dependent on its extensions.
Maybe what you meant is that AAA servers need to support Diameter 
and those 2 extensions, not necessarily all Diameter nodes. I suspect
that the original concerns of the IESG behind supporting those 2
extensions was for proxy servers, who would not necessarily be capable
of supporting policies for those extensions. Now that the EIR flags 
have been fixed for supporting all types of messages, the only thing
that remains for proxy servers to support extensions in their policies,
is to add the required AVPs in their AVP dictionary. I'd prefer Diameter 
nodes supporting the Base protocol, and whatever extensions they need, 
which is standardized and controlled by IANA, as far as I know.

Regards,
Martin

> > > -----Original Message-----
> > > From: Pat Calhoun [mailto:[email-masked]]
> > > Sent: Friday, May 11, 2001 2:32 PM
> > > To: Thomas Panagiotis-PTHOMAS1
> > > Cc: [email-masked]'
> > > Subject: Re: [AAA-WG]: End-2-End security
> > > 
> > > 
> > > On Fri, May 11, 2001 at 01:29:25PM -0500, Thomas 
> > > Panagiotis-PTHOMAS1 wrote:
> > > > "2.0 Protocol Overview
> > > > ...
> > > > Diameter servers MUST support the Base protocol, which 
> > > includes Accounting,
> > > > and both the NASREQ and Mobile IP extensions. Diameter 
> > > Clients MUST support
> > > > the Base protocol, including Accounting, and MAY support 
> > > any other extension
> > > > that would be required to provide service."
> > > > 
> > > > So End-2-End security is a MAY for Clients and Servers, right?
> > > 
> > > The way the text currently reads, yes I guess so. How do 
> others feel?
> > > 
> > > PatC
> > > 
>

---

From: Pat Calhoun <[email-masked]>
Date: Mon, 14 May 2001 06:40:06 -0700

> which is standardized and controlled by IANA, as far as I know.

You have a good point. Let me bring this back up with the IESG.

PatC